Subject: Re: [Teas] New Version Notification for draft-wd-teas-ietf-network-slice-nbi-yang-03.txt

From: "Wubo (lana)" <[email-masked]>
Date: Fri, 9 Jul 2021 10:18:08 +0000

Dear WG and chairs,

The draft has been aligned with changes in the IETF Network Slice framework WG I-D.

The Authors believe that it has been maturing with the inputs from the WG, and can be evaluated as a candidate for WG adoption.  
Diff: https://www.ietf.org/rfcdiff?url2=draft-wd-teas-ietf-network-slice-nbi-yang-03

Best regards,
Bo (on behalf of the co-authors)

-----邮件原件-----
发件人: [email-masked] [mailto:[email-masked]] 
发送时间: 2021年7月9日 17:32
收件人: Wubo (lana) <[email-masked]>; Dhruv Dhody <[email-masked]>; Liuyan Han <[email-masked]>; Reza Rokui <[email-masked]>; Tarek Saad <[email-masked]>
主题: New Version Notification for draft-wd-teas-ietf-network-slice-nbi-yang-03.txt

A new version of I-D, draft-wd-teas-ietf-network-slice-nbi-yang-03.txt
has been successfully submitted by Bo Wu and posted to the IETF repository.

Name:		draft-wd-teas-ietf-network-slice-nbi-yang
Revision:	03
Title:		A Yang Data Model for IETF Network Slice NBI
Document date:	2021-07-09
Group:		Individual Submission
Pages:		45
URL:            https://www.ietf.org/archive/id/draft-wd-teas-ietf-network-slice-nbi-yang-03.txt
Status:         https://datatracker.ietf.org/doc/draft-wd-teas-ietf-network-slice-nbi-yang/
Htmlized:       https://datatracker.ietf.org/doc/html/draft-wd-teas-ietf-network-slice-nbi-yang
Diff:           https://www.ietf.org/rfcdiff?url2=draft-wd-teas-ietf-network-slice-nbi-yang-03

Abstract:
   This document provides a YANG data model for the IETF Network Slice
   Controller (NSC) Northbound Interface (NBI).  The model can be used
   by a IETF Network Slice customer to request configuration, and
   management IETF Network Slice services from the IETF NSC.

The IETF Secretariat

---

From: <[email-masked]>
Date: Fri, 9 Jul 2021 12:05:49 +0000

Hi Bo, all,

Thank you for sharing this updated version. 

I'm supportive of this work, but I think we have a fundamental point to clarify: the document is currently missing data nodes that makes a slice, a slice! 

If we don't have such data nodes, the current module can be used to provision any form of connectivity. If we omit the "ns-" prefix, the module can be used for provisioning the connectivity of VoIP, multicast, etc. services. That’s actually good (as the applicability scope is wider) but we need also to think about network slice specifics.  

I have touched on some of these points in a review I shared with you back in 02/21, but unless I'm mistaken I don't think it was addressed:
https://github.com/boucadair/IETF-Drafts-Reviews/raw/master/draft-wd-teas-ietf-network-slice-nbi-yang-02-rev%20Med.doc 

Below an extract of my main comments: 

(1) A proposal to rationalize the discussion and ease progressing the spec is to clearly call that a network slice can be defined as a collection of at least three components: (1) connectivity component, (2) storage component, and (3) compute component. Having a provision for this since early stages of the model will ease grafting other components of an IETF slice easily, but also allows to avoid having a linear model.

(2) For the connectivity part, the following items are important to cover as well:
* Traffic steering and advanced services: a slice may require the invocation of service functions (firewall, for example) in a given order. These policies have to be captured in the slice request. This is also useful when the customer request that its slice should not cross some networks or not span some regions. 
* What to do for out of profile traffic: See the traffic conformance discussion in RFC7297. 
* Activation means: may need to be included in a slice definition. Think about a slice that can be implemented as a VPN service. Such service may require the activation of a given routing protocol between a CE and a PE, otherwise the service won’t be offered. 
* Invocation means: Think about a multicast service that requires IGMP/MLD and so on.
* Notification means: these are important for service assurance and fulfillment purposes.

(3) The model seems to be inspired from the opsawg vpn I-Ds (network-access structure, for example). That's great and appreciated, but I would formalize that by using I-D.ietf-opsawg-vpn-common for data nodes such as connectivity-type, endpoint-role, status-params, etc. 

(4) One last comment, I still don't get what is an "underlay IETF network".

Thank you. 

Cheers,
Med

> -----Message d'origine-----
> De : Teas [mailto:[email-masked]] De la part de Wubo (lana)
> Envoyé : vendredi 9 juillet 2021 12:18
> À : [email-masked]
> Cc : [email-masked]
> Objet : Re: [Teas] New Version Notification for draft-wd-teas-ietf-
> network-slice-nbi-yang-03.txt
> 
> Dear WG and chairs,
> 
> The Authors believe that it has been maturing with the inputs from
> the WG, and can be evaluated as a candidate for WG adoption.
> 收件人: Wubo (lana) <[email-masked]>; Dhruv Dhody
> <[email-masked]>; Liuyan Han <[email-masked]>; Reza
> Rokui <[email-masked]>; Tarek Saad <[email-masked]>
> _______________________________________________
> Teas mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/teas

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.

---

From: "Ogaki, Kenichi" <[email-masked]>
Date: Mon, 12 Jul 2021 07:02:50 +0000

Hi Authors and All,

We have some questions how to proceed this work.

1. How should we create a new solution where the solution is similar to an existing solution?
 As Dhruv, co-author of both drafts, should know well, the many functionalities of this nbi are same as those of actn-vn-yang. As described in B.1, we agree that actn-vn-yang is only focusing on ACTN and this nbi is technology agnostic.
However, draft-ietf-teas-ietf-network-slices definitely addresses the applicability of ACTN. So, this nbi should at least import actn-vn-yang and refer the nodes defined in actn-vn-yang?
I'm not sure how to create a new solution for such a case.

2. Solution comparison is non-sense before the completion of framework.
 Appendix. B compares this nbi with the other existing work. However, the criteria of the comparison is unclear since the framework, requirement/architecture, is not completed.
If we can say anything with no criteria, the current actn-vn-yang defines VN compute functionality and this nbi doesn't have. Although the framework draft may not explicitly require this, the other SDOs developing their own slicing technologies require/define this functionality as the feasibility check, and also expect to the other SDOs, e.g. 3GPP TS 28.531 5.1.6, 5.1.21 and NFV IFA 013 7.3.3.

3. Others
sec. 6.3.
We cannot understand NSE examples in 6.3. As discussed on "[Teas] network Slice Endpoint in draft-ietf-teas-ietf-network-slice-definition-00" thread, we wonder if it seems to reach the rough consensus that the demarcation point of a slice between customer and provider is the boundary of CE-PE, i.e. AC.
If correct, why Figure 4's NSE is PE and Figure 5's NSE is CE?
Someone said NSE must be controllable from NSC in the sense of SLO/SLE. So, is this CE controllable from NSC?
3GPP TS 28.541 6.3.17 EP_Transport is referred in 6.3, but our understanding is different. EP_Transport was introduced with the discussion paper, "S5-203253 TD proposal to add transport endpoint in NRM.doc", and this paper describes Cell Site Router and Border Router as the transport network edge, i.e. PE, and, Application endpoint and logical transport interface as the RAN/CN slice subnet endpoint which means CE's interface.
In this case, NSC cannot control this CE in the context of the following description in sec. 6, for example.
 "The "ns-endpoint" is an abstract entity that represents a set of matching rules applied to an IETF network edge device"

When we refer the other SDO's document, the interworking between SDOs may fail if we don't understand correct.

sec. 6.
The usage of "ns-tag" is unclear.

All the best,
Kenichi

-----Original Message-----
From: Teas <[email-masked]> On Behalf Of [email-masked]
Sent: Friday, July 9, 2021 9:06 PM
To: Wubo (lana) <[email-masked]>; [email-masked]
Cc: [email-masked]
Subject: Re: [Teas] New Version Notification for draft-wd-teas-ietf-network-slice-nbi-yang-03.txt

Hi Bo, all,

Thank you. 

Cheers,
Med

> Envoyé : vendredi 9 juillet 2021 12:18 À : [email-masked] Cc : 
> [email-masked] Objet : Re: [Teas] New Version Notification for 
> draft-wd-teas-ietf- network-slice-nbi-yang-03.txt
> 
> Dear WG and chairs,
> 
> The Authors believe that it has been maturing with the inputs from the 
> WG, and can be evaluated as a candidate for WG adoption.

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration, Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law; they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.

---

From: <[email-masked]>
Date: Mon, 12 Jul 2021 07:59:03 +0000

Hi Kenichi, all, 

All good points, but I will focus on you first point below:

(1) I don't expect draft-wd-teas-ietf-network-slice-nbi-yang to enter to specifics about how to realize a slice but to focus on the required data nodes to manage (including request) slices. 

(2) It is true that the data nodes that characterize the slice service within the slice provider are technology-agnostic, but aren't for the CE-PE attachment as this conditions how the service is delivered. 

(3) The applicability of ACTN should IMHO be more part of I-Ds such as draft-barguil-teas-network-slices-instantation, not draft-wd-teas-ietf-network-slice-nbi-yang. 

Cheers,
Med

> De : Teas [mailto:[email-masked]] De la part de Ogaki,
> Kenichi
> Envoyé : lundi 12 juillet 2021 09:03
> À : [email-masked]
>  As Dhruv, co-author of both drafts, should know well, the many
> functionalities of this nbi are same as those of actn-vn-yang. As
> described in B.1, we agree that actn-vn-yang is only focusing on
> ACTN and this nbi is technology agnostic.
> However, draft-ietf-teas-ietf-network-slices definitely addresses
> the applicability of ACTN. So, this nbi should at least import actn-
> vn-yang and refer the nodes defined in actn-vn-yang?

---

From: "Ogaki, Kenichi" <[email-masked]>
Date: Tue, 13 Jul 2021 04:25:56 +0000

Hi Med and All,

Thanks for your comments.

>(1) I don't expect draft-wd-teas-ietf-network-slice-nbi-yang to enter to specifics about how to realize a slice but to focus on the required data nodes to manage (including request) slices. 

We totally agree with your opinion, but the solution is definitely similar as the existing solution, actn-vn-yang. The characteristics of most of data nodes are same and just renamed for ietf-network-slice.
In such a case, reinventing the wheel is allowed or the existing solution should be augmented.
Which is correct approach as IETF procedure? That's our question.

>(2) It is true that the data nodes that characterize the slice service within the slice provider are technology-agnostic, but aren't for the CE-PE attachment as this conditions how the service is de…

We totally agree with you. Inside a slice, technology should be agnostic, but the demarcation point inside/outside the slice cannot avoid being technology specific.

>(3) The applicability of ACTN should IMHO be more part of I-Ds such as draft-barguil-teas-network-slices-instantation, not draft-wd-teas-ietf-network-slice-nbi-yang.

We will check.

Thanks,
Kenichi

-----Original Message-----
From: [email-masked] <[email-masked]> 
Sent: Monday, July 12, 2021 4:59 PM
To: 大垣 健一 <[email-masked]>; [email-masked]
Subject: RE: New Version Notification for draft-wd-teas-ietf-network-slice-nbi-yang-03.txt

Hi Kenichi, all, 

Cheers,
Med

> De : Teas [mailto:[email-masked]] De la part de Ogaki, Kenichi 
> Envoyé : lundi 12 juillet 2021 09:03 À : [email-masked] Objet : Re: 
> [Teas] New Version Notification for draft-wd-teas-ietf- 
> described in B.1, we agree that actn-vn-yang is only focusing on ACTN 
> and this nbi is technology agnostic.
> However, draft-ietf-teas-ietf-network-slices definitely addresses the 
> applicability of ACTN. So, this nbi should at least import actn-

---

From: <[email-masked]>
Date: Tue, 13 Jul 2021 07:14:56 +0000

Hi Kenichi, 

Thanks for the follow-up. 

Please see inline. 

Cheers,
Med

> De : Ogaki, Kenichi [mailto:[email-masked]]
> Envoyé : mardi 13 juillet 2021 06:26
> À : BOUCADAIR Mohamed INNOV/NET <[email-masked]>;
> [email-masked]
> Objet : RE: New Version Notification for draft-wd-teas-ietf-network-
> slice-nbi-yang-03.txt
> 
> Hi Med and All,
> 
> >(1) I don't expect draft-wd-teas-ietf-network-slice-nbi-yang to
> enter to specifics about how to realize a slice but to focus on the
> required data nodes to manage (including request) slices.
> 
> We totally agree with your opinion, but the solution is definitely
> similar as the existing solution, actn-vn-yang. The characteristics
> of most of data nodes are same and just renamed for ietf-network-
> slice.

[Med] This is a fair observation. I still don't think it is not sufficient to have an "ns-" prefix but have only generic data nodes. 

> Which is correct approach as IETF procedure? That's our question.

[Med] Fair. This is why it is important to step back and try to answer: what are we trying to model? If this is just connectivity, then are there slice specifics? Etc. 

> 
> >(2) It is true that the data nodes that characterize the slice
> service within the slice provider are technology-agnostic, but
> aren't for the CE-PE attachment as this conditions how the service
> is delivered.
> 
> We totally agree with you. Inside a slice, technology should be
> agnostic, but the demarcation point inside/outside the slice cannot
> avoid being technology specific.

[Med] Glad to see we are in agreement. 

> 
> >(3) The applicability of ACTN should IMHO be more part of I-Ds such
> as draft-barguil-teas-network-slices-instantation, not draft-wd-
> teas-ietf-network-slice-nbi-yang.
> 
> We will check.
> 
> 
> Thanks,
> Kenichi
> 
> (1) I don't expect draft-wd-teas-ietf-network-slice-nbi-yang to
> enter to specifics about how to realize a slice but to focus on the
> required data nodes to manage (including request) slices.
> 
> (2) It is true that the data nodes that characterize the slice
> service within the slice provider are technology-agnostic, but
> aren't for the CE-PE attachment as this conditions how the service
> is delivered.
> 
> (3) The applicability of ACTN should IMHO be more part of I-Ds such
> as draft-barguil-teas-network-slices-instantation, not draft-wd-
> teas-ietf-network-slice-nbi-yang.
> 
> Cheers,
> Med
> 
> > 1. How should we create a new solution where the solution is
> similar
> > to an existing solution?
> the
> ____________________________________________________________________
> _____________________________________________________
> 
> Ce message et ses pieces jointes peuvent contenir des informations
> confidentielles ou privilegiees et ne doivent donc pas etre
> diffuses, exploites ou copies sans autorisation. Si vous avez recu
> ce message par erreur, veuillez le signaler a l'expediteur et le
> detruire ainsi que les pieces jointes. Les messages electroniques
> etant susceptibles d'alteration, Orange decline toute responsabilite
> si ce message a ete altere, deforme ou falsifie. Merci.
> 
> This message and its attachments may contain confidential or
> privileged information that may be protected by law; they should not
> be distributed, used or copied without authorisation.
> If you have received this email in error, please notify the sender
> and delete this message and its attachments.
> As emails may be altered, Orange is not liable for messages that
> have been modified, changed or falsified.
> Thank you.

---

From: Tarek Saad <[email-masked]>
Date: Wed, 14 Jul 2021 04:24:46 +0000

Hi Ogaki,

Thanks for the review. Some possible answers below inline, see [TS]..

On 7/12/21, 3:13 AM, "Teas" <[email-masked]> wrote:

Hi Authors and All,

[TS]: ACTN is one toolkit that may be used realize network slices. The main network slice I-D.draft-ietf-teas-ietf-network-slices references it as an option (in section 6.2).

“   While the ACTN framework is a generic VN framework that can be used
   for VN services beyond the IETF network slice, it also a suitable
   basis for delivering and realizing IETF network slices.
“
This NBI YANG data model is not dependent of the ACTN toolkit an hence does not require import the module actn-vn-yang.

[TS]: the current version of this I-D attempts to address the NBI requirements already identified in I-D.draft-ietf-teas-ietf-network-slices - although it may not currently have exhaustive coverage in this revision. Indeed, the current data model allows to map VPN traffic (identified using several options) onto the created NS connectivity as means to realize a network slice.

Regards,
Tarek (as a co-author)

3. Others
sec. 6.3.

sec. 6.

All the best,
Kenichi

-----Original Message-----
From: Teas <[email-masked]> On Behalf Of [email-masked]
Sent: Friday, July 9, 2021 9:06 PM
To: Wubo (lana) <[email-masked]>; [email-masked]
Cc: [email-masked]
Subject: Re: [Teas] New Version Notification for draft-wd-teas-ietf-network-slice-nbi-yang-03.txt

Hi Bo, all,

Thank you.

Cheers,
Med

---

From: "Ogaki, Kenichi" <[email-masked]>
Date: Thu, 15 Jul 2021 01:46:34 +0000

Hi Tarek,

See comment inline [KO], please.

Thanks,
Kenichi

-----Original Message-----
From: Tarek Saad <[email-masked]> 
Sent: Wednesday, July 14, 2021 1:25 PM
To: 大垣 健一 <[email-masked]>; [email-masked]
Subject: ***フリーメール*** Re: New Version Notification for draft-wd-teas-ietf-network-slice-nbi-yang-03.txt

Hi Ogaki,

Hi Authors and All,

[KO] As we already wrote, we totally agree that IETF network slice is technology agnostic.
Our question is how to create the NBI/data model solution?
Before creating the IETF network slice solution, we believe the gap analysis between IETF network slice and the existing solution, e.g. ACTN, is conducted and draft-king-teas-applicability-actn-slicing is doing so for ACTN.
If the gap is small, the existing solution may be enhanced to meet IETF network slice framework. If this understanding is correct, it shouldn't become the reason which excludes the existing solution that the existing solution is not focusing on technology agnostic, but discuss each function.
“

[KO] What does the latter part, VPN traffic mapping, means?
If it's about VN compute, that is a kind of resource check function before creating a slice. We believe PCE should be used behind.

Regards,

Tarek (as a co-author)

3. Others
sec. 6.3.

sec. 6.

All the best,
Kenichi

-----Original Message-----
From: Teas <[email-masked]> On Behalf Of [email-masked]
Sent: Friday, July 9, 2021 9:06 PM
To: Wubo (lana) <[email-masked]>; [email-masked]
Cc: [email-masked]
Subject: Re: [Teas] New Version Notification for draft-wd-teas-ietf-network-slice-nbi-yang-03.txt

Hi Bo, all,

Thank you. 

Cheers,
Med

> Status:         https://datatracker.ietf.org/doc/draft-wd-teas-ietf- <https://datatracker.ietf.org/doc/draft-wd-teas-ietf-> 
> network-slice-nbi-yang/
> Htmlized:       https://datatracker.ietf.org/doc/html/draft-wd-teas- <https://datatracker.ietf.org/doc/html/draft-wd-teas-> 
> ietf-network-slice-nbi-yang